import Distribution.PackageDescription (PackageDescription(..))
import Distribution.Simple
import Distribution.Simple.LocalBuildInfo
       (InstallDirs(..), LocalBuildInfo(..), absoluteInstallDirs)
import Distribution.Simple.Setup
import Distribution.Simple.Utils (rawSystemExit)

main = defaultMainWithHooks simpleUserHooks {copyHook = copyLib}

copyLib ::
     PackageDescription -> LocalBuildInfo -> UserHooks -> CopyFlags -> IO ()
copyLib pkg_descr lbi _ flags = do
  print "copy lib notifier"
  let libPref =
        libdir . absoluteInstallDirs pkg_descr lbi . fromFlag . copyDest $ flags
  rawSystemExit
    (fromFlag $ copyVerbosity flags)
    "cp"
    ["notifier/target/release/libnotifier.dylib", libPref]
